/*****************
Propiedad intelectual de NmadeSoft SRL (info@nomadesoft.com.ar)
---
autor: D. Abdala (dabdala@nomadesoft.com.ar)
ltima modificacin: 2010-06-01
---
Interfaz de manipulacin de las clases constructoras. Es utilizada por
la clase que coordina a los diferentes constructores.
- ENGLISH -
Interface for workers manipulation. Is used by coordinating class.
*****************/
ROUTINE-LEVEL ON ERROR UNDO, THROW.

USING com.nomadesoft.lib.*.

/* interfaz que deben implementar quienes hacen el trabajo real en base al xml que se est procesando */
INTERFACE com.nomadesoft.lib.IXMLWorker:
  METHOD PUBLIC VOID WorkStart(INPUT ipobParser AS CLASS IXMLParser).
  METHOD PUBLIC VOID WorkEnd(INPUT ipobParser AS CLASS IXMLParser).
  METHOD PUBLIC VOID ElementStart(INPUT ipobParser AS CLASS IXMLParser).
  METHOD PUBLIC VOID ElementEnd(INPUT ipobParser AS CLASS IXMLParser).
END INTERFACE.
